/*
 * Copyright 2017, ,2021 NXP
 * All rights reserved.
 *
 *
 * SPDX-License-Identifier: BSD-3-Clause
 *
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/* Define the PIO[ANAMODE] bit macro (SDK 2.6.x and older miss this bit macro definition) */
#ifndef IOCON_PIO_ANAMODE_MASK
#define IOCON_PIO_ANAMODE_MASK  (0x40U)
#define IOCON_PIO_ANAMODE_SHIFT (6U)
#define IOCON_PIO_ANAMODE(x)    (((uint32_t)(((uint32_t)(x)) << IOCON_PIO_ANAMODE_SHIFT)) & IOCON_PIO_ANAMODE_MASK)
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

#define IOCON_PIO_DIGITAL_EN 0x0100u    /*!<@brief Enables digital function */
#define IOCON_PIO_FUNC1 0x01u           /*!<@brief Selects pin function 1 */
#define IOCON_PIO_FUNC2 0x02u           /*!<@brief Selects pin function 2 */
#define IOCON_PIO_FUNC3 0x03u           /*!<@brief Selects pin function 3 */
#define IOCON_PIO_FUNC7 0x07u           /*!<@brief Selects pin function 7 */
#define IOCON_PIO_I2CDRIVE_HIGH 0x0400u /*!<@brief High drive: 20 mA */
#define IOCON_PIO_I2CFILTER_DI 0x0800u  /*!<@brief I2C 50 ns glitch filter disabled */
#define IOCON_PIO_I2CSLEW_I2C 0x00u     /*!<@brief I2C mode */
#define IOCON_PIO_INPFILT_OFF 0x0200u   /*!<@brief Input filter disabled */
#define IOCON_PIO_INV_DI 0x00u          /*!<@brief Input function is not inverted */
#define IOCON_PIO_MODE_INACT 0x00u      /*!<@brief No addition pin function */
#define IOCON_PIO_MODE_PULLUP 0x20u     /*!<@brief Selects pull-up function */
#define IOCON_PIO_OPENDRAIN_DI 0x00u    /*!<@brief Open drain is disabled */
#define IOCON_PIO_SLEW_STANDARD 0x00u   /*!<@brief Standard mode, output slew rate control is enabled */

/*! @name PIO0_30 (coord A2), U24[12]/P0_30-ISP_FC0_TXD
  @{ */
#define BOARD_INITPINS_ISP_FC0_TXD_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_ISP_FC0_TXD_PIN 30U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_ISP_FC0_TXD_PIN_MASK (1U << 30U)      /*!<@brief PORT pin mask */
                                                             /* @} */

/*! @name PIO0_29 (coord B13), U24[13]/P0_29-ISP_FC0_RXD
  @{ */
#define BOARD_INITPINS_ISP_FC0_RXD_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_ISP_FC0_RXD_PIN 29U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_ISP_FC0_RXD_PIN_MASK (1U << 29U)      /*!<@brief PORT pin mask */
                                                             /* @} */

/*! @name PIO0_22 (coord B12), U3[4]/J3[1]/P0_22-USB0_VBUS
  @{ */
#define BOARD_INITPINS_USB0_VBUS_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_USB0_VBUS_PIN 22U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_USB0_VBUS_PIN_MASK (1U << 22U)      /*!<@brief PORT pin mask */
                                                           /* @} */

/*! @name PIO3_23 (coord C2), J11[10]/J9[3]/U10[3]/J17[5]/U19[10]/P3_23-FC2_SDAX
  @{ */
#define BOARD_INITPINS_FC2_SDAX_PORT 3U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_FC2_SDAX_PIN 23U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_FC2_SDAX_PIN_MASK (1U << 23U)      /*!<@brief PORT pin mask */
                                                          /* @} */

/*! @name PIO3_24 (coord E2), J11[9]/J9[1]/U10[2]/J17[4]/U19[2]/P3_24-FC2_SCLX
  @{ */
#define BOARD_INITPINS_FC2_SCLX_PORT 3U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_FC2_SCLX_PIN 24U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_FC2_SCLX_PIN_MASK (1U << 24U)      /*!<@brief PORT pin mask */
                                                          /* @} */

/*! @name PIO2_18 (coord N10), U10[29]/J9[16]/P2_18-FC7_I2S_RX_SCK
  @{ */
#define BOARD_INITPINS_FC7_I2S_RX_SCK_PORT 2U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_FC7_I2S_RX_SCK_PIN 18U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_FC7_I2S_RX_SCK_PIN_MASK (1U << 18U)      /*!<@brief PORT pin mask */
                                                                /* @} */

/*! @name PIO2_19 (coord P12), U10[31]/J9[20]/P2_19-FC7_I2S_RX_DAT
  @{ */
#define BOARD_INITPINS_FC7_I2S_RX_DAT_PORT 2U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_FC7_I2S_RX_DAT_PIN 19U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_FC7_I2S_RX_DAT_PIN_MASK (1U << 19U)      /*!<@brief PORT pin mask */
                                                                /* @} */

/*! @name PIO2_20 (coord P13), U10[30]/J9[18]/P2_20-FC7_I2S_RX_WS
  @{ */
#define BOARD_INITPINS_FC7_I2S_RX_WS_PORT 2U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_FC7_I2S_RX_WS_PIN 20U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_FC7_I2S_RX_WS_PIN_MASK (1U << 20U)      /*!<@brief PORT pin mask */
                                                               /* @} */

/*! @name PIO4_1 (coord G14), U10[29]/J9[14]/P4_1-FC6_I2S_TX_SCK
  @{ */
#define BOARD_INITPINS_FC6_I2S_TX_SCK_PORT 4U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_FC6_I2S_TX_SCK_PIN 1U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_FC6_I2S_TX_SCK_PIN_MASK (1U << 1U)      /*!<@brief PORT pin mask */
                                                               /* @} */

/*! @name PIO4_2 (coord F14), U10[32]/J9[10]/P4_2-FC6_I2S_TX_DATA
  @{ */
#define BOARD_INITPINS_FC6_I2S_TX_DATA_PORT 4U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_FC6_I2S_TX_DATA_PIN 2U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_FC6_I2S_TX_DATA_PIN_MASK (1U << 2U)      /*!<@brief PORT pin mask */
                                                                /* @} */

/*! @name PIO4_3 (coord F13), U10[30]/J9[12]/P4_3-FC6_I2S_TX_WS
  @{ */
#define BOARD_INITPINS_FC6_I2S_TX_WS_PORT 4U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_FC6_I2S_TX_WS_PIN 3U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_FC6_I2S_TX_WS_PIN_MASK (1U << 3U)      /*!<@brief PORT pin mask */
                                                              /* @} */

/*! @name PIO3_11 (coord B2), J11[8]/J12[7]/P3_11-MCLK-PMOD2_GPIO
  @{ */
#define BOARD_INITPINS_MCLK_PORT 3U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_MCLK_PIN 11U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_MCLK_PIN_MASK (1U << 11U)      /*!<@brief PORT pin mask */
                                                      /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void); /* Function assigned for the Cortex-M4F */

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
